List customers
GET/customers
List customers.
Authorization Action:
pay:customers:list
Request
Query Parameters
created number
email string
ending_before string
limit number
Possible values: >= 1 and <= 100
starting_after string
expand string[]
Specifies which fields in the response should be expanded.
Responses
- 200
- application/json
- Schema
- Example (auto)
Schema
data object[]required
has_morebooleanrequired
{
"data": [
{
"address": {
"city": "string",
"country": "string",
"line1": "string",
"line2": "string",
"postal_code": "string",
"state": "string"
},
"delinquent": true,
"email": "string",
"name": "string",
"phone": "string",
"subscriptions": {},
"id": "string",
"created": 0
}
],
"has_more": true
}
- csharp
- curl
- dart
- go
- http
- java
- javascript
- kotlin
- c
- nodejs
- objective-c
- ocaml
- php
- powershell
- python
- r
- ruby
- rust
- shell
- swift
- HTTPCLIENT
- RESTSHARP
var client = new HttpClient();
var request = new HttpRequestMessage(HttpMethod.Get, "https://connhex.com/customers");
request.Headers.Add("Accept", "application/json");
var response = await client.SendAsync(request);
response.EnsureSuccessStatusCode();
Console.WriteLine(await response.Content.ReadAsStringAsync());